lint-web:
  stage: lint
  image: $WORKSPACE_IMAGE
  only:
    refs:
      - main
      - merge_requests
    changes:
      - .eslintrc.json
      - gitlab-ci/.gitlab-ci.lint.yml
      - apps/grocery/**/*
      - apps/grocery-e2e/**/*
  script:
   - cp -r ./ /app && cd /app
   - npx nx lint grocery
   - npx nx lint grocery-e2e

lint-api:
  stage: lint
  image: $WORKSPACE_IMAGE
  only:
    refs:
      - main
      - merge_requests
    changes:
      - .eslintrc.json
      - gitlab-ci/.gitlab-ci.lint.yml
      - apps/api/**/*
  script:
   - cp -r ./ /app && cd /app
   - npx nx lint api

lint-libs:
  stage: lint
  image: $WORKSPACE_IMAGE
  only:
    refs:
      - main
      - merge_requests
    changes:
      - .eslintrc.json
      - gitlab-ci/.gitlab-ci.lint.yml
      - libs/**/*
  script:
   - cp -r ./ /app && cd /app
   - npx nx lint api-interfaces